Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.portletfilter
Class FilterPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.portletfilter.FilterPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

public class FilterPortlet
extends javax.portlet.GenericPortlet

FilterPortlet provides a portlet implementation to filter the specified portlet. The filtered portlet and filters are defined in a portlet descriptor(portlet.xml). The filetered portlet is specified by portlet-class, and the filters are specified by portlet-filters. Example:

     <portlet-app id="example-portlets" version="1.0">
        <portlet id="ExamplePortlet">
     ...
            <init-param>
                <name>portlet-class</name>
                <value>org.apache.myfaces.portlet.MyFacesGenericPortlet</value>
            </init-param>
            <init-param>
                <name>portlet-filters</name>
                <value>org.apache.myfaces.portlet.TomahawkPortletFilter</value>
            </init-param>
            <init-param>
                <name>org.apache.myfaces.portlet.TomahawkPortletFilter:upload-threshold-size</name>
                <value>1m</value>
            </init-param>
            <init-param>
                <name>org.apache.myfaces.portlet.TomahawkPortletFilter:upload-max-file-size</name>
                <value>10m</value>
            </init-param>
     ...

Author:
  Shinsuke Sugaya

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private javax.portlet.Portlet` | `portlet`
`static String` | `PORTLET_CLASS`
`private PortletFilterChain` | `portletFilterChain`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`FilterPortlet()`

Method Summary
`void` | `destroy()`
`String` | `getInitParameter(String arg0)`
`Enumeration` | `getInitParameterNames()`
`javax.portlet.PortletContext` | `getPortletContext()`
`String` | `getPortletName()`
`ResourceBundle` | `getResourceBundle(Locale arg0)`
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`
`void` | `render(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

Methods inherited from class javax.portlet.GenericPortlet
`doDispatch, doEdit, doHelp, doView, getPortletConfig, getTitle, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### PORTLET_CLASS

    public static final String PORTLET_CLASS

See Also:
  Constant Field Values

### portletFilterChain

    private PortletFilterChain portletFilterChain

### portlet

    private javax.portlet.Portlet portlet

Constructor Detail

### FilterPortlet

    public FilterPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException,
                              IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### render

    public void render(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### destroy

    public void destroy()

### getInitParameter

    public String getInitParameter(String arg0)

### getInitParameterNames

    public Enumeration getInitParameterNames()

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

### getPortletName

    public String getPortletName()

### getResourceBundle

    public ResourceBundle getResourceBundle(Locale arg0)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.